Subject: Re: [MMUSIC] draft-johnston-mmusic-offer-answer-examples-00.txt

From: Alan Johnston <[email-masked]>
Date: Wed, 26 Feb 2003 11:16:08 -0600

Hi Kai,

Thanks for your detailed reading and comments on the draft.  See mine below.

Thanks,
Alan Johnston
WorldCom
sip:[email-masked]

At 08:36 AM 2/24/2003 -0700, Miao, Kai wrote:
>The following in this draft look unclear to me. Could someone clarify?
>
>
>Exampe 2.5. The "m=" line in the Answer does not match that in the Offer.

I don't see a problem with the m= line, but there are two a= lines that 
are: "a=rtpmap:0 PCMU/8000" that should be "a=rtpmap:97 iLBC"

>Example 2.8. In the Answer, "c=" line and the second "m=" line appear to be
>out of order?

Yes - in this example, the second m= line should be swapped with the c= line.

>Example 4.1. Same as above.

Right as well.

>Example 4.2. Why there is the port change in Bob's Counter-Answer?

A port change can happen at any time.  However, in this example, we mixed 
the port numbers of the offer and the answer and will fix this.

>Example 4.3. The "m=" line in the Answer does not match that in the Offer.

This has the same problem as example 2.5.

>In addition, is it possible to add the following to this draft?
>
>1) RFC2833 and audio under the same "m=" line and RFC2833 has a different
>packet interval (for example, 50ms)from audio.
>
>2) Show how to negotiate Adaptive Encoding ("on the fly", RFC2198
>redundancy, etc.)and asymmetric codecs

If you send us a example of each we'll take a look and consider.

>3) Answerer's rejection of Offer, etc.
>_

There are some examples of declines media streams such as example 2.6  Is 
there something particular you are after?

>______________________________________________
>mmusic mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/mmusic

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic